Bug 984605 - Review Request: nwchem - Delivering High-Performance Computational Chemistry
Review Request: nwchem - Delivering High-Performance Computational Chemistry
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Antonio Trande
Fedora Extras Quality Assurance
:
Depends On: 1037075 1081403 1081404
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-15 10:15 EDT by marcindulak
Modified: 2014-06-24 18:07 EDT (History)
4 users (show)

See Also:
Fixed In Version: nwchem-6.3.2-9.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-26 05:22:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
anto.trande: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Optimization flags patch (6.79 KB, text/plain)
2014-01-15 16:53 EST, Antonio Trande
no flags Details

  None (edit)
Description marcindulak 2013-07-15 10:15:31 EDT
Spec URL: http://marcindulak.fedorapeople.org/packages/nwchem/v01/nwchem.spec
SRPM URL: http://marcindulak.fedorapeople.org/packages/nwchem/v01/nwchem-6.3.1-1.fc20.src.rpm
Description:
NWChem aims to provide its users with computational chemistry tools that are
scalable both in their ability to treat large scientific
computational chemistry problems efficiently, and in their use of available
parallel computing resources from high-performance parallel
supercomputers to conventional workstation clusters. Please cite the following
reference when publishing results obtained with NWChem:
M. Valiev, E.J. Bylaska, N. Govind, K. Kowalski, T.P. Straatsma,
H.J.J. van Dam, D. Wang, J. Nieplocha, E. Apra, T.L. Windus, W.A. de Jong,
"NWChem: a comprehensive and scalable open-source solution for large scale
molecular simulations" Comput. Phys. Commun. 181, 1477 (2010)
Fedora Account System Username: marcindulak

Note: NWChem claims to be under ECL 2.0 license, but there are many source files under (L)GPL, BSD, etc, belonging mostly to global arrays package.
Comment 1 Christopher Meng 2013-07-17 03:57:32 EDT
Is it possible to directly use 6.3 instead of %{major_version}.%{minor_version1}?
Comment 2 marcindulak 2013-07-17 04:13:04 EDT
Yes, we could have %{major_version} 6.3 and just one %{minor_version}, possibly %{nil}.
Comment 3 Susi Lehtola 2013-07-19 06:28:53 EDT
The package MUST conform to the MPI guidelines. Also, you should add an mpich2 flavor.

**

# openmpi needs ssh
BuildRequires:		openssh-clients

This doesn't seem right. OpenMPI works just fine without ssh.

**


%if 0%{?el5}
BuildRequires:		blas-devel
Requires:		blas
%else
BuildRequires:		atlas-devel
Requires:		atlas
%endif

This is unnecessary. BuildRequires: atlas-devel is available also on EL5. Besides, the explicit require is unnecessary and thus banned by guidelines.

**

You don't need to conditionalize the BuildRoot etc statements for EL5. The statements work just fine on newer distros as well.
Comment 4 marcindulak 2013-07-21 10:14:11 EDT
(In reply to Susi Lehtola from comment #3)
> The package MUST conform to the MPI guidelines. Also, you should add an
> mpich2 flavor.
OK - i found this http://fedoraproject.org/wiki/Packaging:MPI#Packaging_of_MPI_software but can you suggest me a recent, good style MPI software spec as a template? I think i will drop el5 - it does not use this new packaging convention.
> 
> **
> 
> # openmpi needs ssh
> BuildRequires:		openssh-clients
> 
> This doesn't seem right. OpenMPI works just fine without ssh.
i needed that on build.opensuse.org, but confirmed not needed for build
on localhost.
> 
> **
> 
> 
> %if 0%{?el5}
> BuildRequires:		blas-devel
> Requires:		blas
> %else
> BuildRequires:		atlas-devel
> Requires:		atlas
> %endif
> 
> This is unnecessary. BuildRequires: atlas-devel is available also on EL5.
> Besides, the explicit require is unnecessary and thus banned by guidelines.
OK
> 
> **
> 
> You don't need to conditionalize the BuildRoot etc statements for EL5. The
> statements work just fine on newer distros as well.
but fedora-review complains about some of them, so i got suggestion to include them conditionally for el5 in bug #976886 comment #4
Comment 5 Susi Lehtola 2013-07-21 16:23:14 EDT
(In reply to marcindulak from comment #4)
> (In reply to Susi Lehtola from comment #3)
> > The package MUST conform to the MPI guidelines. Also, you should add an
> > mpich2 flavor.
> OK - i found this
> http://fedoraproject.org/wiki/Packaging:MPI#Packaging_of_MPI_software but
> can you suggest me a recent, good style MPI software spec as a template? I
> think i will drop el5 - it does not use this new packaging convention.

Well, you can look at cp2k or gromacs, for instance.


> > You don't need to conditionalize the BuildRoot etc statements for EL5. The
> > statements work just fine on newer distros as well.
> but fedora-review complains about some of them, so i got suggestion to
> include them conditionally for el5 in bug #976886 comment #4

Then this is a bug in fedora-review. Fedora-review is just a simple and dumb tool, which may not be totally in touch with Fedora policies. Having the statements doesn't hurt anything; if you don't have them, new versions of rpm just use default values.
Comment 6 marcindulak 2013-07-30 16:25:39 EDT
This fixes bug #984605 comment #2 and hopefully conforms to http://fedoraproject.org/wiki/Packaging:MPI#Packaging_of_MPI_software
It builds the serial, openmpi and mpich versions. The basis sets, pseudopotentials are in the nwchem-common package instead of nwchem-data.

Spec URL: http://marcindulak.fedorapeople.org/packages/nwchem/v02/nwchem.spec
SRPM URL: http://marcindulak.fedorapeople.org/packages/nwchem/v02/nwchem-6.3.1-2.fc20.src.rpm
Comment 7 Susi Lehtola 2013-07-30 16:31:07 EDT
By the way,
 %ifarch i386 i586 i686
should read
 %ifarch %ix86
Comment 8 marcindulak 2013-07-31 04:37:44 EDT
(In reply to Susi Lehtola from comment #7)
> By the way,
>  %ifarch i386 i586 i686
> should read
>  %ifarch %ix86

i have made that minor change without creating a new release.
Also disabled one more nwchem test (h2o-response) that hangs (mpich) or core dumps (serial).

I noticed that %ix86 is claimed to become obsolete one day,
already at least since 2002
http://www.redhat.com/archives/rpm-list/2002-January/msg00044.html
Comment 9 marcindulak 2013-09-02 04:40:16 EDT
The new spec is ready for reviews
Comment 11 Antonio Trande 2014-01-12 12:09:39 EST
Please, be patience for a little while, this review needs attention.
Comment 12 Antonio Trande 2014-01-12 14:35:35 EST
Initial comments:

- Some 'install' commands are not performed with -p option to preserve timestamps
- I don't see some optimization flag, they are requested by the guidelines
Comment 13 marcindulak 2014-01-15 08:37:57 EST
(In reply to Antonio Trande from comment #12)
> Initial comments:
> 
> - Some 'install' commands are not performed with -p option to preserve
> timestamps

should be OK now

> - I don't see some optimization flag, they are requested by the guidelines

i tried exporting FFLAGS, CFLAGS, FOPTIMIZE, COPTIMIZE as mentioned in https://svn.pnl.gov/svn/nwchem/trunk/src/config/makefile.h , but without success
(koji: grep "\-O2" build.log - very large file!).
It looks like one would have to patch the nwchem Makefiles in order to set different compiler flags.
I see that debian http://ftp.de.debian.org/debian/pool/main/n/nwchem/nwchem_6.3+r1-1.debian.tar.gz (e.g. debian/patches/02_makefile_flags.patch) touched the makefile system of nwchem, however
nwchem contains also additional packages (global arrays - i think they distribute their own, modified version) and one would have to deal with compiler flags also there. Moreover, nwchem is a big, complex program, and nobody knows how it will react to RPM_OPT_FLAGS,
and in case of problems we will be asked to go back to the default nwchem compiler flags.
I hope it is a sufficient rationale for letting nwchem to handle compiler flags itself.

koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=6405852
Spec URL: http://marcindulak.fedorapeople.org/packages/nwchem/r03/nwchem.spec
SRPM URL: http://marcindulak.fedorapeople.org/packages/nwchem/r03/nwchem-6.3.2-3.fc21.src.rpm
Comment 14 Antonio Trande 2014-01-15 16:53:48 EST
Created attachment 850719 [details]
Optimization flags patch
Comment 15 Antonio Trande 2014-01-15 16:57:59 EST
(In reply to marcindulak from comment #13)
> nwchem contains also additional packages (global arrays - i think they
> distribute their own, modified version) and one would have to deal with
> compiler flags also there.

If GA is modified, you should ask an exception about its packaging in nwchem; otherwise you must use the GA provided by Fedora repositories.

> Moreover, nwchem is a big, complex program, and
> nobody knows how it will react to RPM_OPT_FLAGS,
> and in case of problems we will be asked to go back to the default nwchem
> compiler flags.
> I hope it is a sufficient rationale for letting nwchem to handle compiler
> flags itself.

Try the patch that I uploaded; it's done quickly but it's a good start point
Following there are all changes I've done on your .spec file:

--- nwchem.orig.spec	2014-01-15 13:59:41.000000000 +0100
+++ nwchem.spec	2014-01-15 22:38:02.055348143 +0100
@@ -44,6 +44,7 @@
 URL:			http://www.nwchem-sw.org/
 # Nwchem changes naming convention of tarballs very often!
 Source0:		http://www.nwchem-sw.org/images/%{upstream_name}-%{major_version}.revision%{minor_version}-src.%{posttag}.tar.gz
+Patch0:                 nwchem-makefile_flags.patch
 
 %global PKG_TOP ${RPM_BUILD_DIR}/%{name}-%{major_version}.revision%{minor_version}-src.%{posttag}
 
@@ -123,7 +124,11 @@
 
 %prep
 %setup -q -n %{name}-%{major_version}.revision%{minor_version}-src.%{posttag}
+%patch0 -p1
 
+sed -e 's|@@OPTFLAGS@@|%{optflags}|g' -i src/config/makefile.h
+sed -e 's|@@OPTFLAGS@@|%{optflags}|g' -i src/tools/ga-5-2/armci/configure
+sed -e 's|@@OPTFLAGS@@|%{optflags}|g' -i src/tools/ga-5-2/comex/configure
 
 %build
 # base settings
@@ -145,13 +150,17 @@
 %endif
 echo export HAS_BLAS=yes  >> settings.sh
 echo export BLASOPT="'%{BLASOPT}'"  >> settings.sh
+GA_COPT_FLAGS=$(echo $RPM_OPT_FLAGS | %{__sed} -e 's/-Werror=format-security//')
+echo export GA_COPT="'$GA_COPT_FLAGS'" >> settings.sh
+GA_FOPT_FLAGS=$(echo $RPM_OPT_FLAGS | %{__sed} -e 's/-Werror=format-security//')
+echo export GA_FOPT="'$GA_FOPT_FLAGS'" >> settings.sh
 #
 # make
 echo "# see https://fedoraproject.org/wiki/Packaging:Guidelines#Compiler_flags" >> settings.sh
 # double-quotes outside in order to expand RPM_OPT_FLAGS
 # RPM_OPT_FLAGS are not used despite the comment
 # "can be overridden on the command line" in src/config/makefile.h
-echo export MAKE="%{__make} FOPTIMIZE='${RPM_OPT_FLAGS}' COPTIMIZE='${RPM_OPT_FLAGS}'" >> settings.sh
+echo export MAKE="%{__make}" >> settings.sh
 echo '$MAKE nwchem_config NWCHEM_MODULES="all python" 2>&1 | tee ../make_nwchem_config.log' > make.sh
 %if 0%{?make64_to_32}
 echo '$MAKE 64_to_32 2>&1 | tee ../make_64_to_32.log' >> make.sh
Comment 16 Antonio Trande 2014-01-23 14:47:39 EST
Any news ?
Comment 17 marcindulak 2014-01-24 09:25:32 EST
I have been fighting with nwchem build system for the last couple of days,
and at the end managed to replace all (i hope) nwchem compiler flags with
%optflags (minus -Werror=format-security - some parts of GA do not compile with that flag on). See http://koji.fedoraproject.org/koji/taskinfo?taskID=6429073

The resulting binaries fail with "texas_init: alloc for texas mapping1 failed      911" for the following example, on Rawhide i686:

source /etc/profile.d/nwchem.sh;
module load mpi; mpiexec -np 2 `which nwchem_openmpi` nwchem.nw

with the following nwchem.nw:

geometry noautoz noautosym
H 0.0 0.0 1.0
H 0.0 0.0 0.0
end
basis spherical
    * library cc-pvdz
end

task dft energy

This is also visible from all tests suspiciously failed in koji's build.log.
There are ~1000 and ~4000 source files in nwchem compiled with debug and optimization flags, respectively, and the build time 2-3 hours.

Therefore, in my opinion, we have to stick to the default nwchem flags.
Comment 18 Antonio Trande 2014-01-24 11:07:46 EST
(In reply to marcindulak from comment #17)
> This is also visible from all tests suspiciously failed in koji's build.log.
> There are ~1000 and ~4000 source files in nwchem compiled with debug and 
> optimization flags, respectively, and the build time 2-3 hours.

Have you even informed upstream ?

> 
> Therefore, in my opinion, we have to stick to the default nwchem flags.

I understand your position. I can just suggest to ask a Bundled Libraries exception in order to resolve this problem.
http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Exceptions
Comment 19 marcindulak 2014-01-24 11:44:51 EST
(In reply to Antonio Trande from comment #18)
> (In reply to marcindulak from comment #17)
> > This is also visible from all tests suspiciously failed in koji's build.log.
> > There are ~1000 and ~4000 source files in nwchem compiled with debug and 
> > optimization flags, respectively, and the build time 2-3 hours.
> 
> Have you even informed upstream ?

i have been involved in some discussions on the nwchem forums,
and the focus there is usually to get the code to compile and run at all
on different high performance systems. It's a scientific code,
and as such has only a "best effort" support.
Also one cannot really rely on the QA test
set (i don't know if the situation described here improved http://www.nwchem-sw.org/index.php/Special:AWCforum/st/id133/). The full test set includes
~400 cases (there is no concept of unit testing there - these are regular
nwchem runs, some VERY heavy), and what i run during the rpmbuild is a small
subset of 20.
Of course when the nwchem RPM gets into Fedora i will drop a note at the
nwchem forum, and mention compilation flags requirement problem.

> 
> > 
> > Therefore, in my opinion, we have to stick to the default nwchem flags.
> 
> I understand your position. I can just suggest to ask a Bundled Libraries
> exception in order to resolve this problem.
> http://fedoraproject.org/wiki/Packaging:No_Bundled_Libraries#Exceptions

i was not clear enough. nwchem does not distribute GA, it compiles it in
the executables. So - it's only a question about dropping %optflags or not.
Comment 20 Antonio Trande 2014-01-24 12:05:21 EST
Please, document this situation in a specfile comment.
Then, I'll start the final review.
Comment 22 Antonio Trande 2014-01-24 14:50:12 EST
"Fedora packagers should make every effort to support all primary architectures."

If nwchem cannot be built (or doesn't work) on ARM (http://koji.fedoraproject.org/koji/taskinfo?taskID=6450997), follow these guidelines http://fedoraproject.org/wiki/Packaging:Guidelines#Architecture_Support.
Comment 23 marcindulak 2014-01-25 13:15:22 EST
GA is FTBFS on ARM bug #964424 . By they way i think that bug should also have Blocks: F-ExcludeArch-arm

For the moment i placed that bug in the nwchem.spec file comment.

Spec URL: http://marcindulak.fedorapeople.org/packages/nwchem/r05/nwchem.spec
SRPM URL: http://marcindulak.fedorapeople.org/packages/nwchem/r05/nwchem-6.3.2-5.fc21.src.rpm
Comment 24 Antonio Trande 2014-01-25 13:22:28 EST
- 'common' subpackage contains data files and should be a 'noarch' package
-  License file is missing if you don't install basic package (nwchem).
   Add '%doc LICENSE.txt' to %files in nwchem-common
- '/etc/profile.d' directory is owned by 'setup' package. Please, list all files
  installed within it explicitely
- ExcludeArch tag issue: the ARM package is not built (see comment#22)
- Many tests are not passed. Decide if it's convenient for you to execute them or not.
- Please, fix the 'summary-too-long' errors.

Additional notes:

- newchem building does not use all OPTFLAGS requested by Fedora Packaging Guidelines because 
they seem compromise the software functionalities; upstream maintainers said in 
INSTALL file:

   "The basic build tries to optimize NWChem for most systems and
   most operating systems.  Therefore, possible optimizations have
   been excluded." 
 
- nwchem compiles/uses but does not distribute managed/optimized versions of GA package.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "Unknown or generated", "BSD (4 clause)", "LGPL (v2
     or later) (with incorrect FSF address)", "*No copyright* Public domain",
     "BSD (3 clause)", "BSD (2 clause)". 4064 files have unknown license.
     Detailed output of licensecheck in /home/sagitter/nwchem/licensecheck.txt
[!]: License file installed when any subpackage combination is installed.
[!]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/profile.d
[?]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[!]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[!]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in nwchem-
     openmpi , nwchem-mpich , nwchem-common
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[!]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Arch-ed rpms have a total of 40038400 bytes in /usr/share nwchem-
     common-6.3.2-4.fc21.i686.rpm:40028160
     See:
     http://fedoraproject.org/wiki/Packaging:ReviewGuidelines#Package_Review_Guidelines
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: nwchem-6.3.2-4.fc21.i686.rpm
          nwchem-openmpi-6.3.2-4.fc21.i686.rpm
          nwchem-mpich-6.3.2-4.fc21.i686.rpm
          nwchem-common-6.3.2-4.fc21.i686.rpm
          nwchem-6.3.2-4.fc21.src.rpm
nwchem.i686: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
nwchem.i686: W: spelling-error %description -l en_US Valiev -> Valise
nwchem.i686: W: spelling-error %description -l en_US Bylaska -> Alaska
nwchem.i686: W: spelling-error %description -l en_US Govind -> Gov ind, Gov-ind, Indigo
nwchem.i686: W: spelling-error %description -l en_US Kowalski -> Malinowski
nwchem.i686: W: spelling-error %description -l en_US Straatsma -> Stratum
nwchem.i686: W: spelling-error %description -l en_US Nieplocha -> Epochal
nwchem.i686: W: spelling-error %description -l en_US Apra -> Apr, Ara, Apia
nwchem.i686: W: spelling-error %description -l en_US Windus -> Hindus, Winds, Windups
nwchem.i686: W: spelling-error %description -l en_US de -> DE, ed, d
nwchem.i686: W: spelling-error %description -l en_US Commun -> Com mun, Com-mun, Commune
nwchem.i686: W: no-manual-page-for-binary nwchem
nwchem-openmpi.i686: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
nwchem-openmpi.i686: W: spelling-error %description -l en_US Valiev -> Valise
nwchem-openmpi.i686: W: spelling-error %description -l en_US Bylaska -> Alaska
nwchem-openmpi.i686: W: spelling-error %description -l en_US Govind -> Gov ind, Gov-ind, Indigo
nwchem-openmpi.i686: W: spelling-error %description -l en_US Kowalski -> Malinowski
nwchem-openmpi.i686: W: spelling-error %description -l en_US Straatsma -> Stratum
nwchem-openmpi.i686: W: spelling-error %description -l en_US Nieplocha -> Epochal
nwchem-openmpi.i686: W: spelling-error %description -l en_US Apra -> Apr, Ara, Apia
nwchem-openmpi.i686: W: spelling-error %description -l en_US Windus -> Hindus, Winds, Windups
nwchem-openmpi.i686: W: spelling-error %description -l en_US de -> DE, ed, d
nwchem-openmpi.i686: W: spelling-error %description -l en_US Commun -> Com mun, Com-mun, Commune
nwchem-openmpi.i686: W: no-documentation
nwchem-mpich.i686: W: spelling-error Summary(en_US) openmpi -> opening
nwchem-mpich.i686: E: summary-too-long C Delivering High-Performance Computational Chemistry to Science - openmpi version - mpich version
nwchem-mpich.i686: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
nwchem-mpich.i686: W: spelling-error %description -l en_US Valiev -> Valise
nwchem-mpich.i686: W: spelling-error %description -l en_US Bylaska -> Alaska
nwchem-mpich.i686: W: spelling-error %description -l en_US Govind -> Gov ind, Gov-ind, Indigo
nwchem-mpich.i686: W: spelling-error %description -l en_US Kowalski -> Malinowski
nwchem-mpich.i686: W: spelling-error %description -l en_US Straatsma -> Stratum
nwchem-mpich.i686: W: spelling-error %description -l en_US Nieplocha -> Epochal
nwchem-mpich.i686: W: spelling-error %description -l en_US Apra -> Apr, Ara, Apia
nwchem-mpich.i686: W: spelling-error %description -l en_US Windus -> Hindus, Winds, Windups
nwchem-mpich.i686: W: spelling-error %description -l en_US de -> DE, ed, d
nwchem-mpich.i686: W: spelling-error %description -l en_US Commun -> Com mun, Com-mun, Commune
nwchem-mpich.i686: W: no-documentation
nwchem-common.i686: W: spelling-error Summary(en_US) openmpi -> opening
nwchem-common.i686: W: spelling-error Summary(en_US) mpich -> chimp
nwchem-common.i686: E: summary-too-long C Delivering High-Performance Computational Chemistry to Science - openmpi version - mpich version - common files
nwchem-common.i686: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
nwchem-common.i686: W: spelling-error %description -l en_US Valiev -> Valise
nwchem-common.i686: W: spelling-error %description -l en_US Bylaska -> Alaska
nwchem-common.i686: W: spelling-error %description -l en_US Govind -> Gov ind, Gov-ind, Indigo
nwchem-common.i686: W: spelling-error %description -l en_US Kowalski -> Malinowski
nwchem-common.i686: W: spelling-error %description -l en_US Straatsma -> Stratum
nwchem-common.i686: W: spelling-error %description -l en_US Nieplocha -> Epochal
nwchem-common.i686: W: spelling-error %description -l en_US Apra -> Apr, Ara, Apia
nwchem-common.i686: W: spelling-error %description -l en_US Windus -> Hindus, Winds, Windups
nwchem-common.i686: W: spelling-error %description -l en_US de -> DE, ed, d
nwchem-common.i686: W: spelling-error %description -l en_US Commun -> Com mun, Com-mun, Commune
nwchem-common.i686: W: no-documentation
nwchem-common.i686: W: non-conffile-in-etc /etc/profile.d/nwchem.sh
nwchem-common.i686: W: non-conffile-in-etc /etc/profile.d/nwchem.csh
nwchem.src: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
nwchem.src: W: spelling-error %description -l en_US Valiev -> Valise
nwchem.src: W: spelling-error %description -l en_US Bylaska -> Alaska
nwchem.src: W: spelling-error %description -l en_US Govind -> Gov ind, Gov-ind, Indigo
nwchem.src: W: spelling-error %description -l en_US Kowalski -> Malinowski
nwchem.src: W: spelling-error %description -l en_US Straatsma -> Stratum
nwchem.src: W: spelling-error %description -l en_US Nieplocha -> Epochal
nwchem.src: W: spelling-error %description -l en_US Apra -> Apr, Ara, Apia
nwchem.src: W: spelling-error %description -l en_US Windus -> Hindus, Winds, Windups
nwchem.src: W: spelling-error %description -l en_US de -> DE, ed, d
nwchem.src: W: spelling-error %description -l en_US Commun -> Com mun, Com-mun, Commune
5 packages and 0 specfiles checked; 2 errors, 64 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint nwchem nwchem-common nwchem-openmpi nwchem-mpich
nwchem.i686: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
nwchem.i686: W: spelling-error %description -l en_US Valiev -> Valise
nwchem.i686: W: spelling-error %description -l en_US Bylaska -> Alaska
nwchem.i686: W: spelling-error %description -l en_US Govind -> Gov ind, Gov-ind, Indigo
nwchem.i686: W: spelling-error %description -l en_US Kowalski -> Malinowski
nwchem.i686: W: spelling-error %description -l en_US Straatsma -> Stratagem
nwchem.i686: W: spelling-error %description -l en_US Nieplocha -> Epochal
nwchem.i686: W: spelling-error %description -l en_US Apra -> Apr, Ara, Apia
nwchem.i686: W: spelling-error %description -l en_US Windus -> Hindus, Winds, Windups
nwchem.i686: W: spelling-error %description -l en_US de -> DE, ed, d
nwchem.i686: W: spelling-error %description -l en_US Commun -> Com mun, Com-mun, Commune
nwchem.i686: W: no-manual-page-for-binary nwchem
nwchem-common.i686: W: spelling-error Summary(en_US) openmpi -> opening
nwchem-common.i686: W: spelling-error Summary(en_US) mpich -> chimp
nwchem-common.i686: E: summary-too-long C Delivering High-Performance Computational Chemistry to Science - openmpi version - mpich version - common files
nwchem-common.i686: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
nwchem-common.i686: W: spelling-error %description -l en_US Valiev -> Valise
nwchem-common.i686: W: spelling-error %description -l en_US Bylaska -> Alaska
nwchem-common.i686: W: spelling-error %description -l en_US Govind -> Gov ind, Gov-ind, Indigo
nwchem-common.i686: W: spelling-error %description -l en_US Kowalski -> Malinowski
nwchem-common.i686: W: spelling-error %description -l en_US Straatsma -> Stratagem
nwchem-common.i686: W: spelling-error %description -l en_US Nieplocha -> Epochal
nwchem-common.i686: W: spelling-error %description -l en_US Apra -> Apr, Ara, Apia
nwchem-common.i686: W: spelling-error %description -l en_US Windus -> Hindus, Winds, Windups
nwchem-common.i686: W: spelling-error %description -l en_US de -> DE, ed, d
nwchem-common.i686: W: spelling-error %description -l en_US Commun -> Com mun, Com-mun, Commune
nwchem-common.i686: W: no-documentation
nwchem-common.i686: W: non-conffile-in-etc /etc/profile.d/nwchem.sh
nwchem-common.i686: W: non-conffile-in-etc /etc/profile.d/nwchem.csh
nwchem-openmpi.i686: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
nwchem-openmpi.i686: W: spelling-error %description -l en_US Valiev -> Valise
nwchem-openmpi.i686: W: spelling-error %description -l en_US Bylaska -> Alaska
nwchem-openmpi.i686: W: spelling-error %description -l en_US Govind -> Gov ind, Gov-ind, Indigo
nwchem-openmpi.i686: W: spelling-error %description -l en_US Kowalski -> Malinowski
nwchem-openmpi.i686: W: spelling-error %description -l en_US Straatsma -> Stratagem
nwchem-openmpi.i686: W: spelling-error %description -l en_US Nieplocha -> Epochal
nwchem-openmpi.i686: W: spelling-error %description -l en_US Apra -> Apr, Ara, Apia
nwchem-openmpi.i686: W: spelling-error %description -l en_US Windus -> Hindus, Winds, Windups
nwchem-openmpi.i686: W: spelling-error %description -l en_US de -> DE, ed, d
nwchem-openmpi.i686: W: spelling-error %description -l en_US Commun -> Com mun, Com-mun, Commune
nwchem-openmpi.i686: W: no-documentation
nwchem-mpich.i686: W: spelling-error Summary(en_US) openmpi -> opening
nwchem-mpich.i686: E: summary-too-long C Delivering High-Performance Computational Chemistry to Science - openmpi version - mpich version
nwchem-mpich.i686: W: spelling-error %description -l en_US scalable -> salable, callable, calculable
nwchem-mpich.i686: W: spelling-error %description -l en_US Valiev -> Valise
nwchem-mpich.i686: W: spelling-error %description -l en_US Bylaska -> Alaska
nwchem-mpich.i686: W: spelling-error %description -l en_US Govind -> Gov ind, Gov-ind, Indigo
nwchem-mpich.i686: W: spelling-error %description -l en_US Kowalski -> Malinowski
nwchem-mpich.i686: W: spelling-error %description -l en_US Straatsma -> Stratagem
nwchem-mpich.i686: W: spelling-error %description -l en_US Nieplocha -> Epochal
nwchem-mpich.i686: W: spelling-error %description -l en_US Apra -> Apr, Ara, Apia
nwchem-mpich.i686: W: spelling-error %description -l en_US Windus -> Hindus, Winds, Windups
nwchem-mpich.i686: W: spelling-error %description -l en_US de -> DE, ed, d
nwchem-mpich.i686: W: spelling-error %description -l en_US Commun -> Com mun, Com-mun, Commune
nwchem-mpich.i686: W: no-documentation
4 packages and 0 specfiles checked; 2 errors, 53 warnings.
# echo 'rpmlint-done:'



Requires
--------
nwchem (rpmlib, GLIBC filtered):
    libc.so.6
    libdl.so.2
    libgcc_s.so.1
    libgcc_s.so.1(GCC_4.0.0)
    libgfortran.so.3
    libgfortran.so.3(GFORTRAN_1.0)
    libgfortran.so.3(GFORTRAN_1.4)
    libm.so.6
    libncurses.so.5
    libpthread.so.0
    libpython2.7.so.1.0
    libquadmath.so.0
    libreadline.so.6
    libsysfs.so.2
    libtatlas.so.3
    libtinfo.so.5
    libutil.so.1
    libz.so.1
    nwchem-common
    openssh-clients
    rtld(GNU_HASH)

nwchem-common (rpmlib, GLIBC filtered):

nwchem-openmpi (rpmlib, GLIBC filtered):
    libc.so.6
    libdl.so.2
    libgcc_s.so.1
    libgcc_s.so.1(GCC_4.0.0)
    libgfortran.so.3
    libgfortran.so.3(GFORTRAN_1.0)
    libgfortran.so.3(GFORTRAN_1.4)
    libm.so.6
    libmpi.so.1
    libmpi_mpifh.so.2
    libmpi_usempi.so.1
    libncurses.so.5
    libpthread.so.0
    libpython2.7.so.1.0
    libquadmath.so.0
    libreadline.so.6
    libsysfs.so.2
    libtatlas.so.3
    libtinfo.so.5
    libutil.so.1
    libz.so.1
    nwchem-common
    openmpi
    rtld(GNU_HASH)

nwchem-mpich (rpmlib, GLIBC filtered):
    libc.so.6
    libdl.so.2
    libgcc_s.so.1
    libgcc_s.so.1(GCC_4.0.0)
    libgfortran.so.3
    libgfortran.so.3(GFORTRAN_1.0)
    libgfortran.so.3(GFORTRAN_1.4)
    libm.so.6
    libmpich.so.10
    libncurses.so.5
    libpthread.so.0
    libpython2.7.so.1.0
    libquadmath.so.0
    libreadline.so.6
    libsysfs.so.2
    libtatlas.so.3
    libtinfo.so.5
    libutil.so.1
    libz.so.1
    mpich
    nwchem-common
    rtld(GNU_HASH)



Provides
--------
nwchem:
    nwchem
    nwchem(x86-32)

nwchem-common:
    nwchem-common
    nwchem-common(x86-32)

nwchem-openmpi:
    nwchem-openmpi
    nwchem-openmpi(x86-32)

nwchem-mpich:
    nwchem-mpich
    nwchem-mpich(x86-32)



Source checksums
----------------
http://www.nwchem-sw.org/images/Nwchem-6.3.revision2-src.2013-10-17.tar.gz :
  CHECKSUM(SHA256) this package     : 6a6adf068d559be1ab1bf0addc6b8aa65dbb746b8716a913f5f1bb2eb16f1718
  CHECKSUM(SHA256) upstream package : 6a6adf068d559be1ab1bf0addc6b8aa65dbb746b8716a913f5f1bb2eb16f1718


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -rn Downloads/nwchem-6.3.2-4.fc21.src.rpm
Buildroot used: fedora-rawhide-i386
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG
Comment 25 Antonio Trande 2014-01-25 13:25:59 EST
(In reply to marcindulak from comment #23)
> GA is FTBFS on ARM bug #964424 . By they way i think that bug should also
> have Blocks: F-ExcludeArch-arm
> 
> For the moment i placed that bug in the nwchem.spec file comment.
> 
> Spec URL: http://marcindulak.fedorapeople.org/packages/nwchem/r05/nwchem.spec
> SRPM URL:
> http://marcindulak.fedorapeople.org/packages/nwchem/r05/nwchem-6.3.2-5.fc21.
> src.rpm

Excuse me, I had not read your latest comment yet.
Comment 26 marcindulak 2014-01-31 17:13:32 EST
(In reply to Antonio Trande from comment #24)
> - 'common' subpackage contains data files and should be a 'noarch' package

OK now

> -  License file is missing if you don't install basic package (nwchem).
>    Add '%doc LICENSE.txt' to %files in nwchem-common

OK now

> - '/etc/profile.d' directory is owned by 'setup' package. Please, list all
> files
>   installed within it explicitely

i think this request is just for readability - nwchem does not own /etc/profile.d, so i changed the * glob to a more readable one.
/etc/profile.d files are now %config(noreplace) - just in case someone
edits the files to set some additional nwchem variables

> - ExcludeArch tag issue: the ARM package is not built (see comment#22)

OK now

> - Many tests are not passed. Decide if it's convenient for you to execute
> them or not.

i keep the tests as is. Failed tests is clearly an indication that something is wrong, and i see more of failed tests on i686. For example tests/h2o_opt/h2o_opt fails on Rawhide i686 at so called "geometry optimization" - looks like some numerical problems. The same test passes on EPEL6 i686, or on Fedora 20 x86_64.

> - Please, fix the 'summary-too-long' errors.

OK now

> 
> Additional notes:
> 
> - newchem building does not use all OPTFLAGS requested by Fedora Packaging
> Guidelines because 
> they seem compromise the software functionalities; upstream maintainers said
> in 
> INSTALL file:
> 
>    "The basic build tries to optimize NWChem for most systems and
>    most operating systems.  Therefore, possible optimizations have
>    been excluded." 
>  
> - nwchem compiles/uses but does not distribute managed/optimized versions of
> GA package.
> 
> Package Review
> ==============
> 
> Legend:
> [x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
> [ ] = Manual review needed
> 
> 
> 
> ===== MUST items =====
> 
> C/C++:
> [x]: Package does not contain kernel modules.
> [x]: Package contains no static executables.
> [x]: Package does not contain any libtool archives (.la)
> [x]: Rpath absent or only used for internal libs.
> 
> Generic:
> [x]: Package is licensed with an open-source compatible license and meets
>      other legal requirements as defined in the legal section of Packaging
>      Guidelines.
> [x]: License field in the package spec file matches the actual license.
>      Note: Checking patched sources after %prep for licenses. Licenses found:
>      "GPL (v2 or later)", "Unknown or generated", "BSD (4 clause)", "LGPL (v2
>      or later) (with incorrect FSF address)", "*No copyright* Public domain",
>      "BSD (3 clause)", "BSD (2 clause)". 4064 files have unknown license.
>      Detailed output of licensecheck in
> /home/sagitter/nwchem/licensecheck.txt
> [!]: License file installed when any subpackage combination is installed.
> [!]: Package must own all directories that it creates.
>      Note: Directories without known owners: /etc/profile.d
> [?]: %build honors applicable compiler flags or justifies otherwise.
> [x]: Package contains no bundled libraries without FPC exception.
> [x]: Changelog in prescribed format.
> [x]: Sources contain only permissible code or content.
> [-]: Package contains desktop file if it is a GUI application.
> [-]: Development files must be in a -devel package
> [x]: Package uses nothing in %doc for runtime.
> [x]: Package consistently uses macros (instead of hard-coded directory
> names).
> [x]: Package is named according to the Package Naming Guidelines.
> [x]: Package does not generate any conflict.
> [x]: Package obeys FHS, except libexecdir and /usr/target.
> [-]: If the package is a rename of another package, proper Obsoletes and
>      Provides are present.
> [x]: Requires correct, justified where necessary.
> [x]: Spec file is legible and written in American English.
> [-]: Package contains systemd file(s) if in need.
> [x]: Useful -debuginfo package or justification otherwise.
> [!]: Package is not known to require an ExcludeArch tag.
> [x]: Large documentation must go in a -doc subpackage. Large could be size
>      (~1MB) or number of files.
>      Note: Documentation size is 10240 bytes in 1 files.
> [!]: Package complies to the Packaging Guidelines
> [x]: Package successfully compiles and builds into binary rpms on at least
> one
>      supported primary architecture.
> [x]: Package installs properly.
> [x]: Rpmlint is run on all rpms the build produces.
>      Note: There are rpmlint messages (see attachment).
> [x]: If (and only if) the source package includes the text of the license(s)
>      in its own file, then that file, containing the text of the license(s)
>      for the package is included in %doc.
> [x]: Package requires other packages for directories it uses.
> [x]: Package does not own files or directories owned by other packages.
> [x]: All build dependencies are listed in BuildRequires, except for any that
>      are listed in the exceptions section of Packaging Guidelines.
> [x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
> [x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
>      beginning of %install.
> [x]: Macros in Summary, %description expandable at SRPM build time.
> [x]: Package does not contain duplicates in %files.
> [x]: Permissions on files are set properly.
> [x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
>      work.
> [x]: Package is named using only allowed ASCII characters.
> [x]: Package do not use a name that already exist
> [x]: Package is not relocatable.
> [x]: Sources used to build the package match the upstream source, as provided
>      in the spec URL.
> [x]: Spec file name must match the spec package %{name}, in the format
>      %{name}.spec.
> [x]: File names are valid UTF-8.
> [x]: Packages must not store files under /srv, /opt or /usr/local
> 
> ===== SHOULD items =====
> 
> Generic:
> [x]: If the source package does not include license text(s) as a separate
> file
>      from upstream, the packager SHOULD query upstream to include it.
> [x]: Final provides and requires are sane (see attachments).
> [x]: Fully versioned dependency in subpackages if applicable.
>      Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in nwchem-
>      openmpi , nwchem-mpich , nwchem-common
> [ ]: Package functions as described.
> [x]: Latest version is packaged.
> [x]: Package does not include license text files separate from upstream.
> [-]: Description and summary sections in the package spec file contains
>      translations for supported Non-English languages, if available.
> [!]: Package should compile and build into binary rpms on all supported
>      architectures.
> [!]: %check is present and all tests pass.
> [x]: Packages should try to preserve timestamps of original installed files.
> [x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
> [x]: Sources can be downloaded from URI in Source: tag
> [x]: Reviewer should test that the package builds in mock.
> [x]: Buildroot is not present
> [x]: Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
> [x]: Dist tag is present (not strictly required in GL).
> [x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
> [x]: SourceX is a working URL.
> [x]: Spec use %global instead of %define unless justified.
> 
> ===== EXTRA items =====
> 
> Generic:
> [!]: Large data in /usr/share should live in a noarch subpackage if package
> is
>      arched.
>      Note: Arch-ed rpms have a total of 40038400 bytes in /usr/share nwchem-
>      common-6.3.2-4.fc21.i686.rpm:40028160
>      See:
>     
> http://fedoraproject.org/wiki/Packaging:
> ReviewGuidelines#Package_Review_Guidelines
> [x]: Rpmlint is run on all installed packages.
>      Note: There are rpmlint messages (see attachment).
> 
> 
> Rpmlint
> -------
> Checking: nwchem-6.3.2-4.fc21.i686.rpm
>           nwchem-openmpi-6.3.2-4.fc21.i686.rpm
>           nwchem-mpich-6.3.2-4.fc21.i686.rpm
>           nwchem-common-6.3.2-4.fc21.i686.rpm
>           nwchem-6.3.2-4.fc21.src.rpm
> nwchem.i686: W: spelling-error %description -l en_US scalable -> salable,
> callable, calculable
> nwchem.i686: W: spelling-error %description -l en_US Valiev -> Valise
> nwchem.i686: W: spelling-error %description -l en_US Bylaska -> Alaska
> nwchem.i686: W: spelling-error %description -l en_US Govind -> Gov ind,
> Gov-ind, Indigo
> nwchem.i686: W: spelling-error %description -l en_US Kowalski -> Malinowski
> nwchem.i686: W: spelling-error %description -l en_US Straatsma -> Stratum
> nwchem.i686: W: spelling-error %description -l en_US Nieplocha -> Epochal
> nwchem.i686: W: spelling-error %description -l en_US Apra -> Apr, Ara, Apia
> nwchem.i686: W: spelling-error %description -l en_US Windus -> Hindus,
> Winds, Windups
> nwchem.i686: W: spelling-error %description -l en_US de -> DE, ed, d
> nwchem.i686: W: spelling-error %description -l en_US Commun -> Com mun,
> Com-mun, Commune
> nwchem.i686: W: no-manual-page-for-binary nwchem
> nwchem-openmpi.i686: W: spelling-error %description -l en_US scalable ->
> salable, callable, calculable
> nwchem-openmpi.i686: W: spelling-error %description -l en_US Valiev -> Valise
> nwchem-openmpi.i686: W: spelling-error %description -l en_US Bylaska ->
> Alaska
> nwchem-openmpi.i686: W: spelling-error %description -l en_US Govind -> Gov
> ind, Gov-ind, Indigo
> nwchem-openmpi.i686: W: spelling-error %description -l en_US Kowalski ->
> Malinowski
> nwchem-openmpi.i686: W: spelling-error %description -l en_US Straatsma ->
> Stratum
> nwchem-openmpi.i686: W: spelling-error %description -l en_US Nieplocha ->
> Epochal
> nwchem-openmpi.i686: W: spelling-error %description -l en_US Apra -> Apr,
> Ara, Apia
> nwchem-openmpi.i686: W: spelling-error %description -l en_US Windus ->
> Hindus, Winds, Windups
> nwchem-openmpi.i686: W: spelling-error %description -l en_US de -> DE, ed, d
> nwchem-openmpi.i686: W: spelling-error %description -l en_US Commun -> Com
> mun, Com-mun, Commune
> nwchem-openmpi.i686: W: no-documentation
> nwchem-mpich.i686: W: spelling-error Summary(en_US) openmpi -> opening
> nwchem-mpich.i686: E: summary-too-long C Delivering High-Performance
> Computational Chemistry to Science - openmpi version - mpich version
> nwchem-mpich.i686: W: spelling-error %description -l en_US scalable ->
> salable, callable, calculable
> nwchem-mpich.i686: W: spelling-error %description -l en_US Valiev -> Valise
> nwchem-mpich.i686: W: spelling-error %description -l en_US Bylaska -> Alaska
> nwchem-mpich.i686: W: spelling-error %description -l en_US Govind -> Gov
> ind, Gov-ind, Indigo
> nwchem-mpich.i686: W: spelling-error %description -l en_US Kowalski ->
> Malinowski
> nwchem-mpich.i686: W: spelling-error %description -l en_US Straatsma ->
> Stratum
> nwchem-mpich.i686: W: spelling-error %description -l en_US Nieplocha ->
> Epochal
> nwchem-mpich.i686: W: spelling-error %description -l en_US Apra -> Apr, Ara,
> Apia
> nwchem-mpich.i686: W: spelling-error %description -l en_US Windus -> Hindus,
> Winds, Windups
> nwchem-mpich.i686: W: spelling-error %description -l en_US de -> DE, ed, d
> nwchem-mpich.i686: W: spelling-error %description -l en_US Commun -> Com
> mun, Com-mun, Commune
> nwchem-mpich.i686: W: no-documentation
> nwchem-common.i686: W: spelling-error Summary(en_US) openmpi -> opening
> nwchem-common.i686: W: spelling-error Summary(en_US) mpich -> chimp
> nwchem-common.i686: E: summary-too-long C Delivering High-Performance
> Computational Chemistry to Science - openmpi version - mpich version -
> common files
> nwchem-common.i686: W: spelling-error %description -l en_US scalable ->
> salable, callable, calculable
> nwchem-common.i686: W: spelling-error %description -l en_US Valiev -> Valise
> nwchem-common.i686: W: spelling-error %description -l en_US Bylaska -> Alaska
> nwchem-common.i686: W: spelling-error %description -l en_US Govind -> Gov
> ind, Gov-ind, Indigo
> nwchem-common.i686: W: spelling-error %description -l en_US Kowalski ->
> Malinowski
> nwchem-common.i686: W: spelling-error %description -l en_US Straatsma ->
> Stratum
> nwchem-common.i686: W: spelling-error %description -l en_US Nieplocha ->
> Epochal
> nwchem-common.i686: W: spelling-error %description -l en_US Apra -> Apr,
> Ara, Apia
> nwchem-common.i686: W: spelling-error %description -l en_US Windus ->
> Hindus, Winds, Windups
> nwchem-common.i686: W: spelling-error %description -l en_US de -> DE, ed, d
> nwchem-common.i686: W: spelling-error %description -l en_US Commun -> Com
> mun, Com-mun, Commune
> nwchem-common.i686: W: no-documentation
> nwchem-common.i686: W: non-conffile-in-etc /etc/profile.d/nwchem.sh
> nwchem-common.i686: W: non-conffile-in-etc /etc/profile.d/nwchem.csh
> nwchem.src: W: spelling-error %description -l en_US scalable -> salable,
> callable, calculable
> nwchem.src: W: spelling-error %description -l en_US Valiev -> Valise
> nwchem.src: W: spelling-error %description -l en_US Bylaska -> Alaska
> nwchem.src: W: spelling-error %description -l en_US Govind -> Gov ind,
> Gov-ind, Indigo
> nwchem.src: W: spelling-error %description -l en_US Kowalski -> Malinowski
> nwchem.src: W: spelling-error %description -l en_US Straatsma -> Stratum
> nwchem.src: W: spelling-error %description -l en_US Nieplocha -> Epochal
> nwchem.src: W: spelling-error %description -l en_US Apra -> Apr, Ara, Apia
> nwchem.src: W: spelling-error %description -l en_US Windus -> Hindus, Winds,
> Windups
> nwchem.src: W: spelling-error %description -l en_US de -> DE, ed, d
> nwchem.src: W: spelling-error %description -l en_US Commun -> Com mun,
> Com-mun, Commune
> 5 packages and 0 specfiles checked; 2 errors, 64 warnings.
> 
> 
> 
> 
> Rpmlint (installed packages)
> ----------------------------
> # rpmlint nwchem nwchem-common nwchem-openmpi nwchem-mpich
> nwchem.i686: W: spelling-error %description -l en_US scalable -> salable,
> callable, calculable
> nwchem.i686: W: spelling-error %description -l en_US Valiev -> Valise
> nwchem.i686: W: spelling-error %description -l en_US Bylaska -> Alaska
> nwchem.i686: W: spelling-error %description -l en_US Govind -> Gov ind,
> Gov-ind, Indigo
> nwchem.i686: W: spelling-error %description -l en_US Kowalski -> Malinowski
> nwchem.i686: W: spelling-error %description -l en_US Straatsma -> Stratagem
> nwchem.i686: W: spelling-error %description -l en_US Nieplocha -> Epochal
> nwchem.i686: W: spelling-error %description -l en_US Apra -> Apr, Ara, Apia
> nwchem.i686: W: spelling-error %description -l en_US Windus -> Hindus,
> Winds, Windups
> nwchem.i686: W: spelling-error %description -l en_US de -> DE, ed, d
> nwchem.i686: W: spelling-error %description -l en_US Commun -> Com mun,
> Com-mun, Commune
> nwchem.i686: W: no-manual-page-for-binary nwchem
> nwchem-common.i686: W: spelling-error Summary(en_US) openmpi -> opening
> nwchem-common.i686: W: spelling-error Summary(en_US) mpich -> chimp
> nwchem-common.i686: E: summary-too-long C Delivering High-Performance
> Computational Chemistry to Science - openmpi version - mpich version -
> common files
> nwchem-common.i686: W: spelling-error %description -l en_US scalable ->
> salable, callable, calculable
> nwchem-common.i686: W: spelling-error %description -l en_US Valiev -> Valise
> nwchem-common.i686: W: spelling-error %description -l en_US Bylaska -> Alaska
> nwchem-common.i686: W: spelling-error %description -l en_US Govind -> Gov
> ind, Gov-ind, Indigo
> nwchem-common.i686: W: spelling-error %description -l en_US Kowalski ->
> Malinowski
> nwchem-common.i686: W: spelling-error %description -l en_US Straatsma ->
> Stratagem
> nwchem-common.i686: W: spelling-error %description -l en_US Nieplocha ->
> Epochal
> nwchem-common.i686: W: spelling-error %description -l en_US Apra -> Apr,
> Ara, Apia
> nwchem-common.i686: W: spelling-error %description -l en_US Windus ->
> Hindus, Winds, Windups
> nwchem-common.i686: W: spelling-error %description -l en_US de -> DE, ed, d
> nwchem-common.i686: W: spelling-error %description -l en_US Commun -> Com
> mun, Com-mun, Commune
> nwchem-common.i686: W: no-documentation
> nwchem-common.i686: W: non-conffile-in-etc /etc/profile.d/nwchem.sh
> nwchem-common.i686: W: non-conffile-in-etc /etc/profile.d/nwchem.csh
> nwchem-openmpi.i686: W: spelling-error %description -l en_US scalable ->
> salable, callable, calculable
> nwchem-openmpi.i686: W: spelling-error %description -l en_US Valiev -> Valise
> nwchem-openmpi.i686: W: spelling-error %description -l en_US Bylaska ->
> Alaska
> nwchem-openmpi.i686: W: spelling-error %description -l en_US Govind -> Gov
> ind, Gov-ind, Indigo
> nwchem-openmpi.i686: W: spelling-error %description -l en_US Kowalski ->
> Malinowski
> nwchem-openmpi.i686: W: spelling-error %description -l en_US Straatsma ->
> Stratagem
> nwchem-openmpi.i686: W: spelling-error %description -l en_US Nieplocha ->
> Epochal
> nwchem-openmpi.i686: W: spelling-error %description -l en_US Apra -> Apr,
> Ara, Apia
> nwchem-openmpi.i686: W: spelling-error %description -l en_US Windus ->
> Hindus, Winds, Windups
> nwchem-openmpi.i686: W: spelling-error %description -l en_US de -> DE, ed, d
> nwchem-openmpi.i686: W: spelling-error %description -l en_US Commun -> Com
> mun, Com-mun, Commune
> nwchem-openmpi.i686: W: no-documentation
> nwchem-mpich.i686: W: spelling-error Summary(en_US) openmpi -> opening
> nwchem-mpich.i686: E: summary-too-long C Delivering High-Performance
> Computational Chemistry to Science - openmpi version - mpich version
> nwchem-mpich.i686: W: spelling-error %description -l en_US scalable ->
> salable, callable, calculable
> nwchem-mpich.i686: W: spelling-error %description -l en_US Valiev -> Valise
> nwchem-mpich.i686: W: spelling-error %description -l en_US Bylaska -> Alaska
> nwchem-mpich.i686: W: spelling-error %description -l en_US Govind -> Gov
> ind, Gov-ind, Indigo
> nwchem-mpich.i686: W: spelling-error %description -l en_US Kowalski ->
> Malinowski
> nwchem-mpich.i686: W: spelling-error %description -l en_US Straatsma ->
> Stratagem
> nwchem-mpich.i686: W: spelling-error %description -l en_US Nieplocha ->
> Epochal
> nwchem-mpich.i686: W: spelling-error %description -l en_US Apra -> Apr, Ara,
> Apia
> nwchem-mpich.i686: W: spelling-error %description -l en_US Windus -> Hindus,
> Winds, Windups
> nwchem-mpich.i686: W: spelling-error %description -l en_US de -> DE, ed, d
> nwchem-mpich.i686: W: spelling-error %description -l en_US Commun -> Com
> mun, Com-mun, Commune
> nwchem-mpich.i686: W: no-documentation
> 4 packages and 0 specfiles checked; 2 errors, 53 warnings.
> # echo 'rpmlint-done:'
> 
> 
> 
> Requires
> --------
> nwchem (rpmlib, GLIBC filtered):
>     libc.so.6
>     libdl.so.2
>     libgcc_s.so.1
>     libgcc_s.so.1(GCC_4.0.0)
>     libgfortran.so.3
>     libgfortran.so.3(GFORTRAN_1.0)
>     libgfortran.so.3(GFORTRAN_1.4)
>     libm.so.6
>     libncurses.so.5
>     libpthread.so.0
>     libpython2.7.so.1.0
>     libquadmath.so.0
>     libreadline.so.6
>     libsysfs.so.2
>     libtatlas.so.3
>     libtinfo.so.5
>     libutil.so.1
>     libz.so.1
>     nwchem-common
>     openssh-clients
>     rtld(GNU_HASH)
> 
> nwchem-common (rpmlib, GLIBC filtered):
> 
> nwchem-openmpi (rpmlib, GLIBC filtered):
>     libc.so.6
>     libdl.so.2
>     libgcc_s.so.1
>     libgcc_s.so.1(GCC_4.0.0)
>     libgfortran.so.3
>     libgfortran.so.3(GFORTRAN_1.0)
>     libgfortran.so.3(GFORTRAN_1.4)
>     libm.so.6
>     libmpi.so.1
>     libmpi_mpifh.so.2
>     libmpi_usempi.so.1
>     libncurses.so.5
>     libpthread.so.0
>     libpython2.7.so.1.0
>     libquadmath.so.0
>     libreadline.so.6
>     libsysfs.so.2
>     libtatlas.so.3
>     libtinfo.so.5
>     libutil.so.1
>     libz.so.1
>     nwchem-common
>     openmpi
>     rtld(GNU_HASH)
> 
> nwchem-mpich (rpmlib, GLIBC filtered):
>     libc.so.6
>     libdl.so.2
>     libgcc_s.so.1
>     libgcc_s.so.1(GCC_4.0.0)
>     libgfortran.so.3
>     libgfortran.so.3(GFORTRAN_1.0)
>     libgfortran.so.3(GFORTRAN_1.4)
>     libm.so.6
>     libmpich.so.10
>     libncurses.so.5
>     libpthread.so.0
>     libpython2.7.so.1.0
>     libquadmath.so.0
>     libreadline.so.6
>     libsysfs.so.2
>     libtatlas.so.3
>     libtinfo.so.5
>     libutil.so.1
>     libz.so.1
>     mpich
>     nwchem-common
>     rtld(GNU_HASH)
> 
> 
> 
> Provides
> --------
> nwchem:
>     nwchem
>     nwchem(x86-32)
> 
> nwchem-common:
>     nwchem-common
>     nwchem-common(x86-32)
> 
> nwchem-openmpi:
>     nwchem-openmpi
>     nwchem-openmpi(x86-32)
> 
> nwchem-mpich:
>     nwchem-mpich
>     nwchem-mpich(x86-32)
> 
> 
> 
> Source checksums
> ----------------
> http://www.nwchem-sw.org/images/Nwchem-6.3.revision2-src.2013-10-17.tar.gz :
>   CHECKSUM(SHA256) this package     :
> 6a6adf068d559be1ab1bf0addc6b8aa65dbb746b8716a913f5f1bb2eb16f1718
>   CHECKSUM(SHA256) upstream package :
> 6a6adf068d559be1ab1bf0addc6b8aa65dbb746b8716a913f5f1bb2eb16f1718
> 
> 
> Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
> Command line :/usr/bin/fedora-review -m fedora-rawhide-i386 -rn
> Downloads/nwchem-6.3.2-4.fc21.src.rpm
> Buildroot used: fedora-rawhide-i386
> Active plugins: Generic, Shell-api, C/C++
> Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell,
> R, PHP, Ruby
> Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Spec URL: http://marcindulak.fedorapeople.org/packages/nwchem/r06/nwchem.spec
SRPM URL: http://marcindulak.fedorapeople.org/packages/nwchem/r06/nwchem-6.3.2-6.fc21.src.rpm
Comment 27 Antonio Trande 2014-02-01 05:35:34 EST
Package approved.
Comment 28 marcindulak 2014-02-01 09:31:08 EST
New Package SCM Request
=======================
Package Name: nwchem
Short Description: Delivering High-Performance Computational Chemistry to Science
Owners: marcindulak
Branches: f19 f20 el6 epel7
InitialCC:
Comment 29 Gwyn Ciesla 2014-02-03 07:46:23 EST
Git done (by process-git-requests).
Comment 30 Fedora Update System 2014-02-08 09:43:25 EST
nwchem-6.3.2-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nwchem-6.3.2-7.el6
Comment 31 Fedora Update System 2014-02-08 09:45:07 EST
nwchem-6.3.2-7.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nwchem-6.3.2-7.fc20
Comment 32 Fedora Update System 2014-02-08 09:45:57 EST
nwchem-6.3.2-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nwchem-6.3.2-7.fc19
Comment 33 Fedora Update System 2014-02-08 15:44:47 EST
nwchem-6.3.2-7.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 34 Fedora Update System 2014-04-09 07:17:57 EDT
nwchem-6.3.2-9.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/nwchem-6.3.2-9.el6
Comment 35 Fedora Update System 2014-04-09 07:18:09 EDT
nwchem-6.3.2-9.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nwchem-6.3.2-9.fc20
Comment 36 Fedora Update System 2014-04-26 05:22:04 EDT
nwchem-6.3.2-9.fc20 has been pushed to the Fedora 20 stable repository.
Comment 37 Fedora Update System 2014-04-26 16:10:58 EDT
nwchem-6.3.2-9.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.